Bug 64987 - XMMS locks up when using Arts output plugin
XMMS locks up when using Arts output plugin
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-15 13:49 EDT by Benjamin Reed
Modified: 2014-03-16 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-08 23:23:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Reed 2002-05-15 13:49:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
XMMS freezes when trying to play with the arts plugin set as it's output plugin.
 This is on a clean install of RedHat 7.3 (although my home directory was
preserved, so settings from a RedHat 7.2 install relevant to this may have
lingered).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Log in to KDE
2. Start XMMS
3. Hit CTRL-P and select "aRts Driver"
4. Hit "OK"
5. Load a couple of songs and hit play.
6. Hit the "next" button to go to the next song.
7. Wait.  :)
	

Actual Results:  This is the output to stdout/stderr:

mcop warning: user defined signal handler found for SIG_PIPE, overriding
mcop warning: user defined signal handler found for SIG_PIPE, overriding
MCOP ObjectManager: can't find implementation for Arts::X11GlobalComm.
Xlib: unexpected async reply (sequence 0x12a7)!


Expected Results:  It should continue to play.  :)

Additional info:
Comment 1 Dewet Diener 2002-05-29 15:07:57 EDT
Confirmed on my fresh 7.3 install as well:

$ xmms
mcop warning: user defined signal handler found for SIG_PIPE, overriding
mcop warning: user defined signal handler found for SIG_PIPE, overriding
mcop warning: user defined signal handler found for SIG_PIPE, overriding
mcop warning: user defined signal handler found for SIG_PIPE, overriding
MCOP ObjectManager: can't find implementation for Arts::X11GlobalComm.

Segmentation fault

You've probably found a bug in XMMS, please visit
http://bugs.xmms.org and fill out a bug report.

Xlib: unexpected async reply (sequence 0x4382)!



Running it through gdb produces the following:

$ gdb xmms
GNU gdb Red Hat Linux (5.1.90CVS-5)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...(no debugging symbols found)...
(gdb) run
Starting program: /usr/bin/xmms
(no debugging symbols found)...[New Thread 1024 (LWP 22153)]
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[New Thread 2049
(LWP 22165)]
[New Thread 1026 (LWP 22166)]
[New Thread 2051 (LWP 22183)]
[New Thread 3076 (LWP 22184)]
mcop warning: user defined signal handler found for SIG_PIPE, overriding
[New Thread 4101 (LWP 22185)]
[New Thread 5126 (LWP 22186)]
mcop warning: user defined signal handler found for SIG_PIPE, overriding
[New Thread 6151 (LWP 22187)]
[New Thread 7176 (LWP 22188)]
mcop warning: user defined signal handler found for SIG_PIPE, overriding
[New Thread 8201 (LWP 22189)]
[New Thread 9226 (LWP 22190)]
mcop warning: user defined signal handler found for SIG_PIPE, overriding
[New Thread 10251 (LWP 22199)]
[New Thread 11276 (LWP 22200)]
mcop warning: user defined signal handler found for SIG_PIPE, overriding
MCOP ObjectManager: can't find implementation for Arts::X11GlobalComm.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 11276 (LWP 22200)]
0x41e3fe08 in Arts::GlobalComm_base::_create () from /usr/lib/libmcop-gcc2.96.so.1
(gdb) bt
#0  0x41e3fe08 in Arts::GlobalComm_base::_create () from
/usr/lib/libmcop-gcc2.96.so.1
#1  0x41e4b3f9 in Arts::Dispatcher::Dispatcher () from /usr/lib/libmcop-gcc2.96.so.1
#2  0x4107dcfa in arts_backend_init () from /usr/lib/libartscbackend-gcc2.96.so
#3  0x080955a0 in arts_init ()
#4  0x40bec9a5 in artsd_open () from /usr/lib/xmms/Output/libartsout.so
#5  0x40f06e7c in get_iplugin_info () from /usr/lib/xmms/Input/libmpg123.so
#6  0x08174020 in ?? ()
#7  0x08173c60 in ?? ()
#8  0x00010101 in ?? ()
(gdb)
Comment 2 David Kaplan 2003-01-22 06:51:04 EST
I'm having a similar problem.
XMMS locks up when trying to play an MP3.
The MP3 loads up fine, but when I click 'play' it just hangs.
XMMS plays music cd's perfectly though!

Here's the output:
mcop warning: user defined signal handler found for SIG_PIPE, overriding
Comment 3 Bill Nottingham 2003-09-08 23:23:40 EDT
A new arts plugin will be in 1.2.8-1; hopefully, that will solve some of these
issues.

Note You need to log in before you can comment on or make changes to this bug.